// ChromGraphView.h : interface of the CChromGraphView class
//


#pragma once


class CChromGraphView : public CView
{
protected: // create from serialization only
	CChromGraphView();
	DECLARE_DYNCREATE(CChromGraphView)

// Attributes
public:
	CChromGraphDoc* GetDocument() const;

// Operations
public:

// Overrides
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

// Implementation
public:
	virtual ~CChromGraphView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in ChromGraphView.cpp
inline CChromGraphDoc* CChromGraphView::GetDocument() const
   { return reinterpret_cast<CChromGraphDoc*>(m_pDocument); }
#endif

